> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List pipeline error logs

> Returns recent error logs for the specified pipeline (message, errorDetail, table/schema, timestamps). MCP clients pass the pipeline uuid only.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /pipelines/{uuid}/error-logs
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.130
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /pipelines/{uuid}/error-logs:
    get:
      tags:
        - Pipelines
      summary: List pipeline error logs
      description: >-
        Returns recent error logs for the specified pipeline (message,
        errorDetail, table/schema, timestamps). MCP clients pass the pipeline
        uuid only.
      operationId: pipeline_error_logs
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponseBodyPipelineErrorLog'
          description: OK
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    ListResponseBodyPipelineErrorLog:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PayloadsPipelineErrorLog'
          type: array
      required:
        - items
      type: object
    PayloadsPipelineErrorLog:
      properties:
        createdAt:
          format: date-time
          type: string
        database:
          type: string
        destination:
          type: string
        errorDetail:
          type: string
        eventType:
          type: string
        message:
          type: string
        mode:
          type: string
        pipelineUUID:
          format: uuid
          type: string
        schema:
          type: string
        service:
          type: string
        source:
          type: string
        sourceReaderUUID:
          format: uuid
          type: string
        table:
          type: string
        timestamp:
          format: date-time
          type:
            - 'null'
            - string
        uuid:
          format: uuid
          type: string
        version:
          type: string
      required:
        - uuid
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.